> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Получение результата задачи

> Используйте API результата задачи Suno, чтобы получать статус генерации музыки, выходные URL и данные задач для асинхронных производственных сценариев.

<Warning>
  ⚠️ Этот эндпоинт устарел. Пожалуйста, используйте [/suno/v2/получение результата](/api/ru/suno/suno_fetch_v2) вместо него.
</Warning>


## OpenAPI

````yaml openapi/ru/suno.json GET /suno/v1/fetch
openapi: 3.1.0
info:
  title: Документация TTAPI API
  version: 1.0.0
  description: Suno AI Музыка API
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /suno/v1/fetch:
    get:
      parameters:
        - name: jobId
          in: query
          required: true
          schema:
            type: string
          description: jobId, возвращенный запросом генерации
      responses:
        '200':
          description: Запрос выполнен успешно
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - ON_QUEUE
                      - SUCCESS
                      - FAILED
                  message:
                    type: string
                    description: Сообщение ответа
                  jobId:
                    type: string
                    description: ID задач
                  data:
                    oneOf:
                      - type: object
                        description: Результат аудиозадачи
                        properties:
                          jobId:
                            type: string
                            description: ID задач
                          action:
                            type: string
                            description: Тип задачи
                          progress:
                            type: string
                            description: Ход выполнения задачи
                          mv:
                            type: string
                            description: Модель для использования
                          quota:
                            type: string
                            description: Израсходованная quota
                          hookUrl:
                            type: string
                            description: URL обратного вызова
                          musics:
                            type: array
                            description: Список аудио
                            items:
                              type: object
                              properties:
                                musicId:
                                  type: string
                                  description: Идентификатор композиции
                                prompt:
                                  type: string
                                  description: Текст песни
                                title:
                                  type: string
                                  description: Заголовок
                                tags:
                                  type: string
                                  description: Стилевые теги
                                imageUrl:
                                  type: string
                                  description: >-
                                    Обложка изображения. Срок действия: см.
                                    [Хранение и
                                    устойчивость](/grids/ru/faq/storage)
                                imageLargeUrl:
                                  type: string
                                  description: >-
                                    Большая обложка изображения. Срок действия:
                                    см. [Хранение и
                                    устойчивость](/grids/ru/faq/storage)
                                audioUrl:
                                  type: string
                                  description: >-
                                    Аудиофайл. Срок действия: см. [Хранение и
                                    устойчивость](/grids/ru/faq/storage)
                                videoUrl:
                                  type: string
                                  description: >-
                                    Видеофайл. Срок действия: см. [Хранение и
                                    устойчивость](/grids/ru/faq/storage)
                                duration:
                                  type: number
                                  description: Продолжительность аудио
                                negativeTags:
                                  type: string
                                  description: Исключаемые стилевые теги
                                styleWeight:
                                  type: number
                                  description: Вес стиля
                                weirdnessConstraint:
                                  type: number
                                  description: Вес необычности
                                audioWeight:
                                  type: number
                                  description: URL аудио
                                createdAt:
                                  type: string
                                  description: Время создания
                      - type: object
                        description: Результат задачи генерации текста песни
                        properties:
                          jobId:
                            type: string
                            description: ID задач
                          action:
                            type: string
                            description: Тип задачи
                          progress:
                            type: string
                            description: Ход выполнения задачи
                          prompt:
                            type: string
                            description: Промпт
                          text:
                            type: string
                            description: Результат генерации текста песни
                          title:
                            type: string
                            description: Заголовок
                          tags:
                            type: string
                            description: Стилевые теги
                          quota:
                            type: string
                            description: Израсходованная quota
                          hookUrl:
                            type: string
                            description: URL обратного вызова
                example:
                  status: SUCCESS
                  message: success
                  jobId: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
                  data:
                    jobId: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
                    action: music
                    progress: 100%
                    mv: chirp-v5
                    quota: '6'
                    hookUrl: https://webhook-test.com/ed9731f4026f04e7c0cfa99e41d2b2fc
                    musics:
                      - musicId: xxxxxxxxxxxxxxxxx
                        prompt: xxxxxxxxxxxxxxxxxx
                        title: xxxxx
                        tags: xxxxx
                        imageUrl: https://cdn2.suno.ai/xxxxxxxxxxxxxxxxx.jpeg
                        imageLargeUrl: https://cdn2.suno.ai/xxxxxxxxxxxxxx.jpeg
                        audioUrl: https://cdn1.suno.ai/xxxxxxxxxxxxxxx.mp3
                        videoUrl: https://cdn1.suno.ai/xxxxxxxxxxxxxxx.mp4
                        duration: '211.44'
                        negativeTags: xxxxxxxxxxxxxxxxxxx
                        styleWeight: null
                        weirdnessConstraint: null
                        audioWeight: null
                        createdAt: '2026-03-03T02:23:51.401Z'
                required:
                  - status
                  - message
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      deprecated: true
      security:
        - CustomApiKey: []
components:
  responses:
    400Response:
      description: Ошибка параметров
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: Ошибка авторизации
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        Вы можете получить API-ключ в <a href='https://dashboard.ttapi.io'
        target='_blank'>панель управления TTAPI</a>.

````